<?php

namespace App;

use App\Traits\ModelTimeFormat;
use Illuminate\Database\Eloquent\Model;

use App\Traits\ModelLogChanging;

class StoreCheckingReceive extends Model
{
    use ModelLogChanging;

    use ModelTimeFormat;
    public $timestamps=false;
    protected $fillable=[
        'owner_id','created_at','status','is_receive_diff','asn','is_asn_diff'
    ];

    public function owner(){
        return $this->hasOne('App\Owner','id','owner_id');
    }
    public function storeCheckingReceiveItems(){
        return $this->hasMany('App\StoreCheckingReceiveItem','store_checking_receive_id','id');
    }
}
